package logwire.core.bo.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 组件属性 @Composite
 * 组件字段类型必须继承BizComposite。
 */
@Target({ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
public @interface Composite {
    String label() default "";

    /**
     * 组件字段列名前缀
     * @return
     */
    String prefix() default "";
}
