package logwire.core.bo.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 大文本属性 @Text
 * 字段类型必须为BizText。大文本属性会创建一张子表(Model),子表名为：BO表名_属性名，一个BO有多个大字段时，使用同一张表
 */
@Target({ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
public @interface Text {
    String label() default "";
}
