package logwire.core.bo.annotation;

import logwire.core.bo.object.BizObject;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Type级Operation声明注解
 */
@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface TypeOperationProvider {
    Class<? extends BizObject> type();
}
